// VectorAvg.h: interface for the TVectorAvg class
//

#pragma once

#undef DECL
#if defined(_AFXDLL) || defined(XPERT_EXE)
#ifdef UTILS_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif
#else
#define DECL 
#endif

#define Pi 3.141592654
#define DegToRad Pi/180.0
#define RadToDeg 180.0/Pi

///////////////////////////////////////////////////////////////////////////
// TVectorAvg class
//
class DECL TVectorAvg
{
   // 
   // Interface
   // 
   public:
   
   // Constructors and destructor.
   TVectorAvg();
   
   double dMeanSpeedScalar;
   double dMeanMagnitudeUnit;
   double dMeanMagnitudeWeighted;
   double dMeanDirectionUnit;
   double dMeanDirectionWeighted;
   double dSTDSpeedScalar;
   double dSTDDirectionUnit;
   double dSTDDirectionWeighted;

   void Compute(float* fSpeed, float* fDir, int iCount);
   static double Cart2Deg(double dX, double dY);
};

